Darstellungsfehler Threema Web Linux rpm Threema-1.2.5-1.x86_64

Stelle deine Frage öffentlich an die Threema-Forum-Community - über 3.000 Mitglieder helfen dir weiter. Los gehts!
Unterstützung von offizieller Seite erhältst du direkt bei Threema: Zum offiziellen Threema-Support
  • Hi, ich habe gerade auf die Linux rpm-Version 1.2.5-1 (unter OpenSuSE TumbleWeed) aktualisiert. Jetzt habe ich sowohl in der Chat-Übersicht als auch in den Chats selber Darstellungsfehler, wie sie in diesem Screenshot zu sehen sind.

    Seltsam, das kann ich auf OpenSuSE Leap nicht nachvollziehen.


    Hast du die Schriftart "Roboto" auf deinem System installiert?

  • Seltsam, das kann ich auf OpenSuSE Leap nicht nachvollziehen.


    Hast du die Schriftart "Roboto" auf deinem System installiert?

    Yep, Paket google-roboto-fonts-2.138-2.1.noarch ist installiert. Vielleicht sollte ich noch dazu sagen, dass im Browser keine Darstellungsfehler auftreten. Ach ja, die Darstellungsfehler verändern sich auch, wenn ich mit der Maus drüber fahre.

  • Nachdem es jetzt auch mit Version 1.2.7 nicht anders ist, habe ich noch ein bisschen herumgespielt. Ein update auf einer anderen Maschine, die ebenfalls auf OpenSUSE Tumbleweed läuft, zeigt den Fehler nicht. Auf der betroffenen Maschine sehe ich beim Start von einem Terminal aus 21 Mal folgende Fehlermeldung:

    [3540:0428/162942.436308:ERROR:gbm_wrapper.cc(275)] Failed to export buffer to dma_buf: Datei oder Verzeichnis nicht gefunden (2)

    Die nicht betroffene Maschine hat diese Meldungen nicht. gbm scheint auf libgbm1 hinzudeuten:

    This package contains the GBM buffer management library. It provides

    a mechanism for allocating buffers for graphics rendering tied to

    Mesa.


    GBM is intended to be used as a native platform for EGL on drm or

    openwfd.


    also irgendwas mit Hardware-Videobeschleunigung, was ja passen würde. Die letzte funktionierende Version hatte ich im Dezember installiert. Ich habe aber im Git keinen commit gefunden, der danach für den Fehler verantwortlich sein könnte. Trotzdem ist Threema das einzige Programm, das diese Art von Fehler zeigt.

  • Falls du die App selber builden kannst, dann könntest du mal versuchen wie in den folgenden Zeilen die Hardware-Videobeschleunigung zu deaktivieren: https://github.com/threema-ch/…5cfa9/app/src/main.ts#L44

    Jeder Tag könnte Threema Web für iOS Tag sein.

    Jeder Tag ist Threema Web für iOS Tag.

    Jeder Tag könnte Threema Multidevice Tag sein.

    Jeder Tag ist Threema Multidevice Tag.


    Nur mit Threema Safe schläft man ruhig.

  • Cool, das hat geklappt, danke! Einfach electron.app.disableHardwareAcceleration();vor die Zeile 44, und ich bin das Problem los! Lesen die Devs hier mit oder muss ich das im Git melden? Wäre ja schön, wenn man einfach per Konfiguration die Hardwarebeschleunigung ausschalten könnte.

  • Cool, das hat geklappt, danke! Einfach electron.app.disableHardwareAcceleration();vor die Zeile 44, und ich bin das Problem los! Lesen die Devs hier mit oder muss ich das im Git melden? Wäre ja schön, wenn man einfach per Konfiguration die Hardwarebeschleunigung ausschalten könnte.

    Jarem Forster, Diego Barajas

    Jeder Tag könnte Threema Web für iOS Tag sein.

    Jeder Tag ist Threema Web für iOS Tag.

    Jeder Tag könnte Threema Multidevice Tag sein.

    Jeder Tag ist Threema Multidevice Tag.


    Nur mit Threema Safe schläft man ruhig.